Skip to main content
POST
/
registry
/
v1
/
mcp-server-subscriptions
/
{subscriptionId}
/
credential
Rotate credentials on an MCP subscription
curl --request POST \
  --url https://api.swarmd.ai/registry/v1/mcp-server-subscriptions/{subscriptionId}/credential \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "bearerToken": "<string>",
  "apiKeyValue": "<string>",
  "apiKeyHeader": "<string>",
  "oauthClientId": "<string>",
  "oauthClientSecret": "<string>",
  "oauthTokenUrl": "<string>",
  "oauthScopes": [
    "<string>"
  ]
}
'

Authorizations

Authorization
string
header
required

JWT token (USER, AGENT, or SERVICE auth)

Path Parameters

subscriptionId
string<uuid>
required

Body

application/json
scheme
enum<string>
required

Auth scheme used when calling the MCP server.

Available options:
NONE,
BEARER,
API_KEY,
OAUTH2_CLIENT_CREDENTIALS
bearerToken
string

Bearer token (BEARER scheme only).

apiKeyValue
string

API key value (API_KEY scheme only).

apiKeyHeader
string

Header name for the API key, e.g. 'X-Api-Key' (API_KEY scheme only).

oauthClientId
string

OAuth2 client ID (OAUTH2_CLIENT_CREDENTIALS scheme only).

oauthClientSecret
string

OAuth2 client secret (OAUTH2_CLIENT_CREDENTIALS scheme only).

oauthTokenUrl
string

OAuth2 token endpoint (OAUTH2_CLIENT_CREDENTIALS scheme only).

oauthScopes
string[]

OAuth2 scopes (OAUTH2_CLIENT_CREDENTIALS scheme only).

OAuth2 scopes (OAUTH2_CLIENT_CREDENTIALS scheme only).

Response

204

No Content